#ifndef __ASFS_FS_I
#define __ASFS_FS_I

/* Extent structure located in RAM (e.g. inside inode structure), 
   currently used to store last used extent */

struct inramExtent {
	u32 startblock;	/* Block from begginig of the file */
	u32 key;
	u32 next;
	u16 blocks;
};

/* inode in-kernel data */

struct asfs_inode_info {
	u32 firstblock;
	u32 hashtable;
	int modified;
	u32 i_opencnt;
	unsigned long mmu_private;
	struct inramExtent ext_cache;
};

#define ASFS_I(inode)	(&(inode)->u.asfs_i)
#endif
