#ifndef __ASFS_FS_SB
#define __ASFS_FS_SB

/* Amiga SFS superblock in-core data */

struct asfs_sb_info {
	u32 totalblocks;
	u32 rootobjectcontainer;
	u32 extentbnoderoot;
	u32 objectnoderoot;

	u32 adminspacecontainer;
	u32 bitmapbase;
	u32 freeblocks;
	u32 blocks_inbitmap;
	u32 blocks_bitmap;
	u32 block_rovingblockptr;

	uid_t uid;
	gid_t gid;
	umode_t mode;
	u16 flags;
	char *prefix;
	char *root_volume;		/* Volume prefix for absolute symlinks. */
};

#define ASFS_SB(sb)	(&(sb)->u.asfs_sb)

#endif
